Last Comment Bug 155022 - Selection is not painted after stylesheet change
: Selection is not painted after stylesheet change
Status: RESOLVED FIXED
[fixed by bug 619273]
:
Product: Core
Classification: Components
Component: Selection (show other bugs)
: Trunk
: x86 Windows 98
: -- minor (vote)
: mozilla11
Assigned To: Mats Palmgren (:mats)
:
: Jet Villegas (:jet)
Mentors:
http://www.mozilla.org/newlayout/xml/...
Depends on: 619273
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-29 17:21 PDT by Mats Palmgren (:mats)
Modified: 2012-01-11 16:54 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Mats Palmgren (:mats) 2002-06-29 17:21:54 PDT
Selection is not painted after stylesheet change.

REPEAT BY:
1. load http://www.mozilla.org/newlayout/xml/debugdemos/books/books.xml
2. click "Toggle Style"
3. Select all text (CTRL+A)
4. click "Toggle Style"
5. click "Toggle Style"

ACTUAL RESULTS:
Most of the text (book descriptions) rendered as if not selected.

EXPECTED RESULTS:
Rendering after 5. should be the same as after 3. (Everything selected)

PLATFORM & BUILD:
Nightly trunk build 2002-06-28-08 on Windows 98 SE.

ADDITIONAL INFORMATION:
Covering the window to force a repaint makes the selection appear again.
Comment 1 Mats Palmgren (:mats) 2011-10-27 22:01:28 PDT
Testing Mozilla/5.0 (X11; Linux x86_64; rv:10.0a1) Gecko/20111025 Firefox/10.0a1
the selected text appears correct now, the images (book covers) becomes
unselected in step 5.  Focus/blur of the window repaints it.

Bug 619273 fixes the remaining problem.

Note You need to log in before you can comment on or make changes to this bug.